libogg documentation | libogg release 1.3.5 - 20210603

# oggpack_bytes

declared in "ogg/ogg.h";

This function returns the total number of bytes behind the current access point in the oggpack_buffer. For write-initialized buffers, this is the number of complete bytes written so far. For read-initialized buffers, it is the number of complete bytes that have been read so far.

The return value is the number of complete bytes in the buffer. There may be extra (<8) bits.

    long oggpack_bytes(oggpack_buffer *b);

### Parameters

b
  oggpack_buffer struct to be checked.

### Return Values

> - n is the total number of bytes within the current buffer.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.5 - 20210603